PULSAR

Update Specific Cause Settings

Update programmed downtime settings for a specific cause.

Authorization

bearerAuth admin, superadmin, superuser
Authorization<token>

In: header

Scope: admin, superadmin, superuser

Path Parameters

causeId*string

The cause's ID.

Match[0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{4}-[0-9A-Fa-f]{12}
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

Try it live
PUT
/v3/stops/specific-causes/{causeId}/programmed-settings

This endpoint requires authentication — use the Login page at the top of the API Reference, or paste a token in the Authorization section below.

curl -X PUT "https://example.com/v3/stops/specific-causes/52907745-7672-470e-a803-a2f8feb52944/programmed-settings" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "52907745-7672-470e-a803-a2f8feb52944",  "isProgrammed": true,  "programmedDowntimeMinutes": 0}